body
{
  min-height: 100vh;
  overflow-x: hidden;
}

.plda
{
  position: fixed;
  top: 0;
  left: 0;
  width: 300px;
  background: var(--page_navbar_bg);
  padding: 2rem 0rem 4rem 0rem;
  transition: transform 0.3s ease;
  z-index: 10;
  text-align: right;
  display: flex;
  flex-direction: column;
  height: 100vh;
}

.plda.closed
{
  transform: translateX(-100%);
}

.plda nav
{
  display: flex;
  flex-direction: column;
  align-items: stretch;
  overflow-x: hidden;
}

.plda a.fzjz
{
  color: var(--page_text_contrast) !important;
}

.plda a.fzjz:hover
{
  background: var(--page_text_color) !important;
  color: var(--page_navbar_bg) !important;
}

#cart
{
  position: relative;
}

.hcye
{
  position: absolute;
  top: 11px;
  right: 9px;
  background: var(--page_text_contrast);
  color: var(--page_bg);
  font-size: 0.7rem;
  font-weight: bold;
  width: 1.05rem;
  height: 1.05rem;
  line-height: 0.9rem;
  border-radius: 50%;
  border: 1px solid var(--page_text_contrast);
  text-align: center;
  pointer-events: none;
}

.bqmw
{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.6);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
  z-index: 9;
}

.bqmw.vmgp
{
  opacity: 1;
  visibility: visible;
}

.dzls
{
  overflow: hidden;
  height: 100vh;
}

.qeig
{
  font-size: 1.8rem;
  font-weight: bold;
  margin-bottom: 2rem;
  margin-top: 2rem;
  padding: 1rem 2rem 1rem 3rem;
  cursor: default;
}

.qeig p:first-child
{
  display: inline-block;
  color: var(--page_text_color);
}

.qeig p:last-child{
  display: inline-block;
  color: var(--page_text_contrast);
}

aside a
{
  display: block;
  text-decoration: none;
  color: var(--page_text_color);
  padding: 0.8rem 2rem 0.8rem 3rem;
  margin: 0;
  font-size: min(0.9rem, 4vw);
  font-weight: bold;
  width: 300px;
  transition: all 0s ease;
  cursor: pointer;
  text-transform: uppercase;
}

aside a:hover
{
  background: var(--page_text_color);
  color: var(--page_navbar_bg);
}

.mlvw
{
  flex: 1;
  overflow-y: auto;
  padding-right: 0.5rem;
  max-height: 46vh;
}

.plda a.vmgp
{
  background: var(--page_bg) !important;
  color: var(--page_text_color) !important;
}

.lejh
{
  position: fixed;
  top: 1rem;
  right: 1rem;
  background: var(--page_navbar_bg);
  border: 2px solid var(--page_text_color);
  box-shadow: 0 4px 16px rgba(0,0,0,1.0);
  color: var(--page_text_color);
  padding: 0.5rem 0.7rem;
  border-radius: 6px;
  cursor: pointer;
  z-index: 20;
  display: none;
  width: max(45px, 6vw);
  font-weight: bold;
}

.pilt
{
  margin-left: 300px;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.viur
{
  height: 100vh;                 /* always full viewport height */
  display: flex;                 /* use flexbox layout */
  flex-direction: column;        /* stack content vertically */
  justify-content: center;       /* center vertically */
  align-items: flex-end;         /* align content to the right */
  text-align: right;             /* text aligned to right edge */
  padding: 2rem 4rem;
  cursor: default;
}

.viur h1
{
	font-size: min(12vw, 90px);
	margin-bottom: 0rem;
	text-shadow: 0 2px 8px rgba(0,0,0,0.5);
	display: inline-block;
	color: var(--page_text_contrast);
}

.viur h1:first-child
{
	color: var(--page_text_color) !important;
}

.viur h1:last-child
{
	color: var(--page_text_contrast) !important;
}

.viur p
{
  font-size: min(4vw, 26px);
  margin-bottom: 1.5rem;
  text-shadow: 0 2px 8px rgba(0,0,0,0.4);
  text-align: right;
  margin-right: 0;
  margin-left: auto;
  color: var(--page_text_color);
  text-shadow: 0px 0px 10px black;
  max-width: 60vw;
}

.viur button
{
  background: var(--page_text_color);
  color: black;
  font-weight: bold;
  border: none;
  padding: 0.7rem 1.5rem;
  border-radius: 0px;
  cursor: pointer;
  font-size: min(3vw, 20px);
  display: block;
  margin-left: auto;
  margin-right: 0;
  transition: all 0.4s ease;
}

.viur button:hover
{
  background: var(--page_text_contrast);
}

.gndf
{
  background: transparent;
  padding: 4rem 2rem;
}

.wjgj
{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, auto));
  gap: 3rem;
  max-width: 1200px;
  margin: 0 auto;
  justify-content: center;
  align-items: start;
}

.uhqj
{
  background: rgb(0, 0, 0);
  border-radius: 0px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.6);
  text-align: center;
  padding-bottom: 1rem;
  display: flex;
  flex-direction: column;
  max-width: 340px;
  max-height: 552px;
  position: relative;
  cursor: default;
}

.uhqj img
{
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.uhqj h3
{
  margin: 0.5rem 0 0.6rem;
}

.uhqj .fguw
{
  color: var(--page_text_contrast);
  font-weight: bold;
  margin: 1rem;
}

.uhqj p
{
  font-size: 0.8rem;
  margin: 0.2rem 1rem;
  color: #464646;
  font-style: none;
  font-weight: normal;
  line-height: 17px;
}

.uhqj p.beox
{
  margin: 0rem 1rem;
}

.uhqj .mtve
{
  display: flex;
  justify-content: center;
  gap: 0.5rem;
  margin-top: 1rem;
}

.uhqj button
{
  padding: 0.5rem 1rem;
  border: none;
  cursor: pointer;
  font-size: 0.9rem;
  border-radius: 6px;
  min-width: 132px;
}

.uhqj .rxak
{
  background: #464646;
  color: black;
  font-weight: bold;
  transition: all 0.4s ease;
}

.uhqj .rxak:hover
{
  background: var(--page_text_color);
  cursor: pointer !important;
}

.uhqj .yzpr
{
  background: var(--page_text_contrast);
  color: black;
  font-weight: bold;
  transition: all 0.4s ease;
}

.uhqj .yzpr:hover
{
  background: var(--page_text_color);
  cursor: pointer !important;
}

.uhqj .zzns
{
  background: black;
  color: var(--page_text_contrast);
  font-weight: bold;
  transition: all 0.4s ease;
  cursor: default;
}

.tsph
{
  padding: 0.5rem 1rem;
  border: none;
  cursor: pointer;
  font-size: 0.9rem;
  border-radius: 6px;
  min-width: 132px;
  background: var(--page_text_contrast) !important;
  color: var(--page_bg);
  font-weight: bold;
  transition: all 0.4s ease;
  display: block;
  margin: 20px auto 20px auto;
  background: #464646;
  color: black;
  font-weight: bold;
  transition: all 0.4s ease;
}

.tsph:hover
{
  background: var(--page_text_color) !important;
  cursor: pointer !important;
}

.wygn
{
  padding: 0.5rem 1rem;
  border: none;
  cursor: pointer;
  font-size: 0.9rem;
  border-radius: 6px;
  min-width: 132px;
  background: var(--page_text_contrast);
  color: var(--page_bg);
  font-weight: bold;
  transition: all 0.4s ease;
  display: block;
  margin: 40px auto 20px auto;
}

.wygn:hover
{
  background: var(--page_text_color);
  cursor: pointer !important;
}

.uhqj .ozfh
{
  background: #464646;
  color: black;
  font-weight: bold;
  transition: all 0.4s ease;
  margin-bottom: 14px;
}

.uhqj .ozfh:hover
{
  background: var(--page_text_color);
  cursor: pointer !important;
}

aside .vazj
{
  border: none;
  border-top: 1px solid rgba(0,0,0,0);
  margin: 1rem 0;
}

.bvss_nav
{
  text-align: center;
  margin-top: 50px;
  font-weight: bold;
  font-size: 1rem;
  transition: all 0.5s ease;
  background: transparent;
  opacity: 1;
}

.fade-out
{
  opacity: 0;
}

.bvss_nav p
{
  margin: 10px;
}

.bvss_nav p:first-child
{
  font-size: 0.8rem;
}

.bvss_product
{
  border-radius: 0px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.6);
  text-align: center;
  padding: 2rem 1rem 2rem 1rem;
  max-width: 340px;
  height: 230px;
  position: relative;
  cursor: default;
  background-size: cover !important;
  text-shadow: 0px 0px 10px black;
}

.bvss_product h3
{
  margin: 0.5rem 0 0.2rem;
}

.bvss_product .bvss_price
{
  color: var(--page_text_contrast);
  font-weight: bold;
  margin: 1rem;
}

.bvss_product p
{
  font-size: 0.85rem;
  margin: 0.1rem 1rem 2rem 1rem;
  color: var(--page_text_color);
  font-style: none;
  font-weight: bold;
}

.mvok
{
  width: 100%;
  margin: -20vh auto 0 auto;
  text-align: center;
  background: rgba(50,50,50,0.7);
  border-radius: 6px;
  padding: 20px;
  box-shadow: 0 0 15px rgba(0,0,0,0.5);
  color: var(--page_text_contrast);
  font-weight: bold;
  font-size: min(1rem, 3vw);
  position: relative;
  animation: slideUp 0.3s ease forwards;
  transition: opacity 0.5s ease;
}

@keyframes slideUp
{
  from
  {
    margin-top: -17vh;
  }
  to
  {
    margin-top: -24vh;
  }
}

@media (max-width: 768px) {
  .lejh { display: block; }
  .plda { transform: translateX(-100%); text-align: left; }
  .plda.kkjp { transform: translateX(0); }
  .pilt { margin-left: 0; }

  .viur
  {
	  height: 100vh;
    padding: 3rem 2rem;
    justify-content: center;
    align-items: flex-end;
    text-align: right;
  }

  .qeig
  {
    margin-top: 0rem;
    margin-bottom: 1rem;
  }
  
  .iukw::after
  {
  	background: linear-gradient(to bottom, rgba(0, 0, 0, 0.4) 0%, rgba(255, 255, 255, 0) 70%, var(--page_bg, #f4f4f4) 100%);
	}

  .mvok
  {
    margin: -40vw auto 0 auto;
  }

  @keyframes slideUp
  {
    from
    {
      margin-top: -22vh;
    }
    to
    {
      margin-top: -28vh;
    }
  }

  .hcye
  {
    position: absolute;
    top: 11px;
    left: 16px;
    background: var(--page_text_contrast);
    color: var(--page_bg);
    font-size: 0.7rem;
    font-weight: bold;
    width: 1.05rem;
    height: 1.05rem;
    line-height: 0.9rem;
    border-radius: 50%;
    border: 1px solid var(--page_text_contrast);
    text-align: center;
    pointer-events: none;
  }
}

.navh
{
  position: fixed;
  bottom: -1px;
  right: 20px;
  background: var(--page_navbar_bg);
  color: var(--page_text_color);
  border-radius: 12px;
  box-shadow: 0 4px 16px rgba(0,0,0,1.0);
  padding: 12px 16px;
  max-width: 96vw;
  min-width: 350px;
  opacity: 0;
  transition: all 0.3s ease;
  font-family: sans-serif;
  z-index: 9;
}

.navh.show
{
  opacity: 1;
  bottom: 20px;
}

.navh .aafg
{
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navh .uame
{
  background: none;
  border: none;
  color: white;
  font-size: 22px;
  cursor: pointer;
  transition: transform 0.3s ease;
  margin: 0;
  padding: 0;
  width:23px;
  height:23px;
}


.kxow
{
  flex: 1;
  margin-left: 6px;
  margin-right: 6px;
  font-size: 14px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-top: 2px;
}

.dejj
{
  height: 4px;
  background: rgba(255,255,255,0.2);
  border-radius: 2px;
  margin-top: 8px;
  overflow: hidden;
}

.dejj #elnh
{
  height: 100%;
  width: 0%;
  background: var(--page_text_contrast);
  transition: width 0.1s linear;
}

@media (max-width: 768px)
{
  .navh
  {
    right: 50%;
    transform: translateX(50%);
    max-width: 94vw;
  }
}